Arbor 3: FSM & BT Graph Editor 3.7.2

Public Member Functions | Properties | List of all members
SerializeVersion Class Reference

Perform version management with the class of Serializable attribute. More...

## Public Member Functions
bool | Initialize (ISerializeVersionCallbackReceiver callback)
| Perform initialization. More...
bool | InitializeIfNecessary ()
| Perform initialization if necessary. More...
bool | VersioningIfNesessory ()
| If necessary to migrate to version control. More...
void | AfterDeserialize ()
| Processing after deserialization. More...
void | BeforeDeserialize ()
| Processing before serialization. More...
override string | ToString ()
| Returns version information as a string. More...

## Properties
int | version`[get, set]`
| Version number More...
bool | isInitialized`[get]`
| Initialization flag. More...
bool | isVersioning`[get]`
| Version control flag More...

## Detailed Description

Perform version management with the class of Serializable attribute.

## Member Function Documentation

## ◆ AfterDeserialize()

void AfterDeserialize | ( |  | ) |

Processing after deserialization.

Types with SerializeVersion need to call this method from ISerializationCallbackReceiver.OnAfterDeserialize().

## ◆ BeforeDeserialize()

void BeforeDeserialize | ( |  | ) |

Processing before serialization.

Types with SerializeVersion need to call this method from ISerializationCallbackReceiver.OnBeforeDeserialize().

## ◆ Initialize()

bool Initialize | ( | ISerializeVersionCallbackReceiver | callback | ) |

Perform initialization.

Types with SerializeVersion need to call this method in the constructor.

Parameters

  callback | Callback receiver

Returns
  Returns true when initialization is performed.

## ◆ InitializeIfNecessary()

bool InitializeIfNecessary | ( |  | ) |

Perform initialization if necessary.

Returns
  Returns true when initialization is performed.

## ◆ ToString()

override string ToString | ( |  | ) |

Returns version information as a string.

Returns
  Version information string.

## ◆ VersioningIfNesessory()

bool VersioningIfNesessory | ( |  | ) |

If necessary to migrate to version control.

Returns
  Returns true if the version has been migrated.

## Property Documentation

## ◆ isInitialized

bool isInitialized
| get

Initialization flag.

## ◆ isVersioning

bool isVersioning
| get

Version control flag

## ◆ version

int version
| get set

Version number